import { PhoneInterface } from "./phone.interface";
import { SocialModel } from '../models/social.model';
export interface RealtorInterface {
    guid: string;
    firstname: string;
    lastname: string;
    email: string;
    experience: number;
    avatar_guid: string;
    geo_guid: string;
    description: string;
    is_online: boolean;
    phones: Array<PhoneInterface>;
    specializations: string[];
    districts: string[];
    is_partner?: boolean;
    realty_count: any;
    is_agency: boolean;
    agency_position: string;
    agency_title: string;
    can_work_other_city: boolean;
    birthday: string | number;
    site_url: string;
    socials: SocialModel[];
    rank: string;
    rank_title: string;
    customer_info: string;
    on_moderate: boolean;
}
