var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "../abstract-message.model";
import { MESSAGE_HEADER_TYPE_MESSAGE, MESSAGE_HEADER_ACTION_DELETE } from "../const";
import { DeleteMessagePayload } from "./delete-message-payload.model";
/**
 * Базовая модель удаления сообщения
 */
var AbstractDeleteMessage = (function (_super) {
    __extends(AbstractDeleteMessage, _super);
    function AbstractDeleteMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new DeleteMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_DELETE;
        return _this;
    }
    return AbstractDeleteMessage;
}(AbstractMessage));
export { AbstractDeleteMessage };
//# sourceMappingURL=abstract-delete-message.model.js.map