var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "../abstract-message.model";
import { SendMessagePayload } from "./send-message-payload.model";
import { MESSAGE_HEADER_TYPE_MESSAGE, MESSAGE_HEADER_ACTION_SEND } from "../const";
/**
 * Базовая модель отправки сообщения
 */
var AbstractSendMessage = (function (_super) {
    __extends(AbstractSendMessage, _super);
    function AbstractSendMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new SendMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_SEND;
        return _this;
    }
    return AbstractSendMessage;
}(AbstractMessage));
export { AbstractSendMessage };
//# sourceMappingURL=abstract-send-message.model.js.map