var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "../abstract-message.model";
import { MESSAGE_HEADER_TYPE_MESSAGE, MESSAGE_HEADER_ACTION_TYPING } from "../const";
import { TypingMessagePayload } from "./typing-message-payload.model";
/**
 * Базовая модель сообщения о наборе текста
 */
var AbstractTypingMessage = (function (_super) {
    __extends(AbstractTypingMessage, _super);
    function AbstractTypingMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new TypingMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_TYPING;
        return _this;
    }
    return AbstractTypingMessage;
}(AbstractMessage));
export { AbstractTypingMessage };
//# sourceMappingURL=abstract-typing-message.model.js.map