import { AbstractMessage } from "./abstract/abstract-message.model";
/**
 * Модель уведомления о приглашении в группу
 */
export declare class InviteSystemGroup extends AbstractMessage {
    payload: {
        from: string;
        to: string;
        group: {
            guid: string;
            title: string;
            icon: string;
        };
        inviter: {
            guid: string;
            name: string;
            avatar: string;
        };
    };
    constructor();
}
