var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "./abstract/abstract-message.model";
import { MESSAGE_HEADER_TYPE_SYSTEM, MESSAGE_HEADER_ACTION_REMOVE, MESSAGE_RCPT_CHANNEL } from "./abstract/const";
/**
 * Модель уведомления о удалении канала
 */
var RemoveSystemChannel = (function (_super) {
    __extends(RemoveSystemChannel, _super);
    function RemoveSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REMOVE;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return RemoveSystemChannel;
}(AbstractMessage));
export { RemoveSystemChannel };
//# sourceMappingURL=remove-system-channel.model.js.map