var RealtyFilterLogicalOperation = (function () {
    function RealtyFilterLogicalOperation(operation, value) {
        this.operation = operation;
        this.value = value;
    }
    RealtyFilterLogicalOperation.prototype.getRequest = function () {
        var result = {};
        if (Array.isArray(this.value)) {
            var items = [];
            for (var i = 0; i < this.value.length; i++) {
                items[i] = this.value[i].getRequest();
            }
            result[this.operation] = items;
        }
        else {
            result[this.operation] = this.value.getRequest();
        }
        return result;
    };
    return RealtyFilterLogicalOperation;
}());
export { RealtyFilterLogicalOperation };
//# sourceMappingURL=realty-filter-logical-operation.model.js.map