var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Базовый URL
import { BasicUrls } from './basic-urls.model';
// URL's для работы с уведомлениями
// @dynamic
var NotificationUrls = (function (_super) {
    __extends(NotificationUrls, _super);
    function NotificationUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(NotificationUrls, "unProcessedList", {
        // Список необработанных уведомлений
        get: function () {
            return NotificationUrls.endPoint + "/notifications";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "messages", {
        // Информация о количестве непрочитанных сообщений и наличие уведомлений у текущего пользователя
        get: function () {
            return NotificationUrls.endPoint + "/messaging/notify-info";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "processedList", {
        // Список обработанных уведомлений
        get: function () {
            return NotificationUrls.unProcessedList + "/history";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "actionWithNotification", {
        // Действия с уведомлением
        get: function () {
            return NotificationUrls.unProcessedList + "/operation";
        },
        enumerable: true,
        configurable: true
    });
    return NotificationUrls;
}(BasicUrls));
export { NotificationUrls };
//# sourceMappingURL=notification-urls.model.js.map