import { RealtorInterface } from './realtor.interface';
export interface IRealty {
    guid: string;
    created: number;
    updated: number;
    creator_guid: string;
    updater_guid: string;
    id: number;
    is_published: boolean;
    is_sale_published: boolean;
    count_published: number;
    data_published: number;
    advert_source_guid: string;
    action_guid: string;
    entity_guid: string;
    city: string;
    is_exclusive: boolean;
    author: RealtorInterface;
    is_favorite_realty: boolean;
    [name: string]: any;
}
