/**
 * Модель чатов
 */
export declare class ChatInfoModel {
    created: string;
    updated: string;
    creator_guid: string;
    updater_guid: string;
    chat_guid: string;
    chat_type: string;
    city_guid: string;
    owner_guid: string;
    logo_guid: string;
    title: string;
    description: string;
    rules: string;
    is_private: boolean;
    count_members: number;
    is_me_member: boolean;
    count_unread: number;
    companion: string;
    last_message: {
        guid: string;
        created: string;
        updated: string;
        creator_guid: string;
        updater_guid: string;
        message_guid: string;
        payload: any;
        is_delivered: boolean;
        is_seen: boolean;
    };
}
