/**
 * Модель структуры данных для кеширования в хранилищах
 */
export declare class KeyValueCacheStructure {
    private _expiredAt;
    private _tags;
    private _value;
    private _hits;
    constructor(expiration?: number, _tags?: string[], _value?: any);
    expiredAt: number;
    hits: number;
    tags: string[];
    value: any;
    serialize(): string;
    isExpired(): boolean;
    static unserialize(json: string): KeyValueCacheStructure;
}
