var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "../abstract-message.model";
import { MESSAGE_HEADER_TYPE_MESSAGE, MESSAGE_HEADER_ACTION_FORWARD } from "../const";
import { ForwardMessagePayload } from "./forward-message-payload.model";
/**
 * Базовая модель пересылки сообщения
 */
var AbstractForwardMessage = (function (_super) {
    __extends(AbstractForwardMessage, _super);
    function AbstractForwardMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new ForwardMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_FORWARD;
        return _this;
    }
    return AbstractForwardMessage;
}(AbstractMessage));
export { AbstractForwardMessage };
//# sourceMappingURL=abstract-forward-message.model.js.map