var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { AbstractMessage } from "../abstract-message.model";
import { MESSAGE_HEADER_TYPE_SYSTEM_USER, MESSAGE_HEADER_ACTION_STATUS } from "../const";
import { StatusSystemUserPayload } from "./status-system-user-payload.model";
/**
 * Базовая модель смены статуса пользователя
 */
var AbstractStatusSystemUser = (function (_super) {
    __extends(AbstractStatusSystemUser, _super);
    function AbstractStatusSystemUser() {
        var _this = _super.call(this) || this;
        _this.payload = new StatusSystemUserPayload();
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM_USER;
        _this.header.action = MESSAGE_HEADER_ACTION_STATUS;
        return _this;
    }
    return AbstractStatusSystemUser;
}(AbstractMessage));
export { AbstractStatusSystemUser };
//# sourceMappingURL=abstract-status-system-user.model.js.map