import { AbstractMessage } from "./abstract/abstract-message.model";
/**
 * Модель уведомления о приглашении в канал
 */
export declare class InviteSystemChannel extends AbstractMessage {
    payload: {
        from: string;
        to: string;
        channel: {
            guid: string;
            title: string;
            icon: string;
        };
        inviter: {
            guid: string;
            name: string;
            avatar: string;
        };
    };
    constructor();
}
