var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// URL's для работы с текущим пользователем
import { BasicUrls } from './basic-urls.model';
// URl's для текущего пользователя
// @dynamic
var CurrentUserUrls = (function (_super) {
    __extends(CurrentUserUrls, _super);
    function CurrentUserUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CurrentUserUrls, "self", {
        // Данные пользователя
        get: function () {
            return CurrentUserUrls.endPoint + "/self";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "moderation", {
        // Модерация
        get: function () {
            return CurrentUserUrls.self + "/moderate";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "logout", {
        // Выход из приложения
        get: function () {
            return CurrentUserUrls.endPoint + "/self/logout";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "geoSessionCity", {
        // Город сессии пользователя
        get: function () {
            return CurrentUserUrls.endPoint + "/self/geo";
        },
        enumerable: true,
        configurable: true
    });
    return CurrentUserUrls;
}(BasicUrls));
export { CurrentUserUrls };
//# sourceMappingURL=current-user-urls.model.js.map